Closed Bug 563251 Opened 9 years ago Closed 9 years ago

Intermittent timeout in 10.6 debug mochitest-other in browser_discovery.js with ASSERTION: Invalid frame index! followed by mochitest-ipcplugins failed to bind socket and Timed out while waiting for server startup

Categories

(Core :: General, defect)

x86_64
macOS
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: philor, Unassigned)

References

Details

(Keywords: intermittent-failure)

These failures make no particular sense, and if it hadn't been two in a row, on different slaves, followed by success on a push that just corrected spelling, I'd probably just ignore them. No telling how often this might have happened before, since 64-bit OS X debug mochitest-other was hidden until recently, because of bug 560777 and possibly other unremembered things.

http://tinderbox.mozilla.org/Firefox/1272798620.1272801100.10506.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/02 04:10:20
s: talos-r3-snow-017

http://tinderbox.mozilla.org/Firefox/1272804061.1272806272.10671.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/02 05:41:01
s: talos-r3-snow-014

In both cases, the same things happen:

http://mxr.mozilla.org/mozilla-central/source/browser/base/content/test/browser_discovery.js passes the "data: URIs work" test, then in what must be running the "{ type: "image/png; charset=utf-8", text: "type may have optional parameters (RFC2046)" }" test, which loads the same favicon which has already been loaded by five other tests, this time with |type="image/png; charset=utf-8"|, there's a failed assertion,

[[[
###!!! ASSERTION: Invalid frame index!: 'aFrameNum < mFrames.Length()', file /builds/slave/mozilla-central-macosx64-debug/build/modules/libpr0n/src/imgContainer.cpp, line 888
]]]

and then

[[[
command timed out: 1200 seconds without output, killing pid 386
]]]

after which the next suite, the inaptly-named mochitest-ipcplugins (which is now actually mochitest-nonipcplugins) fails, with

[[[
WARNING: failed to bind socket: file /builds/slave/mozilla-central-macosx64-debug/build/netwerk/base/src/nsServerSocket.cpp, line 317
uncaught exception: 2147746065
]]]

then after the js heap dump from bug 538462

[[[
Timed out while waiting for server startup.
]]]

The closest thing I can make to a totally uneducated guess that would explain the data would be httpd.js dying while serving an image it has served five times before, in a way that makes it unkillable so the next suite fails to start it up over the remains of the previous instance.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273022001.1273024414.31268.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/04 18:13:21
s: talos-r3-snow-019
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273720684.1273723525.15165.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/12 20:18:04
s: talos-r3-snow-007
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273762928.1273765956.7434.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/13 08:02:08
s: talos-r3-snow-030
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273812353.1273814783.6398.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/13 21:45:53
s: talos-r3-snow-023
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273952161.1273954350.6132.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/05/15 12:36:01
s: talos-r3-snow-043
Comment 6 isn't even vaguely this, and this is no more.
Status: NEW → RESOLVED
Closed: 9 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.